Page MenuHomePhabricator

en.planet hasn't updated since July 25
Closed, ResolvedPublic

Description

I was trying to figure out why my feed reader has been light for the past month...

Details

Related Gerrit Patches:
operations/puppet : productionplanet: Fix syntax error in rss.py

Event Timeline

Legoktm triaged this task as High priority.Aug 29 2018, 3:36 AM
Legoktm created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 3:36 AM
Dzahn claimed this task.Aug 29 2018, 1:28 PM
Dzahn added a comment.Aug 30 2018, 3:30 AM
  1 Traceback (most recent call last):
  2   File "/usr/bin/rawdog", line 33, in <module>
  3     launch()
  4   File "/usr/bin/rawdog", line 26, in launch
  5     sys.exit(main(sys.argv[1:]))
  6   File "/usr/lib/python2.7/dist-packages/rawdoglib/rawdog.py", line 1975, in main
  7     rc = load_config("config")
  8   File "/usr/lib/python2.7/dist-packages/rawdoglib/rawdog.py", line 1967, in load_config
  9     config.load(fn)
 10   File "/usr/lib/python2.7/dist-packages/rawdoglib/rawdog.py", line 977, in load
 11     self.load_line(line, arglines)
 12   File "/usr/lib/python2.7/dist-packages/rawdoglib/rawdog.py", line 1076, in load_line
 13     self.load(l[1], False)
 14   File "/usr/lib/python2.7/dist-packages/rawdoglib/rawdog.py", line 977, in load
 15     self.load_line(line, arglines)
 16   File "/usr/lib/python2.7/dist-packages/rawdoglib/rawdog.py", line 1012, in load_line
 17     load_plugins(dir, self)
 18   File "/usr/lib/python2.7/dist-packages/rawdoglib/plugins.py", line 57, in load_plugins
 19     imp.load_module("plugin%d" % (plugin_count,), f, fn, desc)
 20   File "plugins/rss.py", line 81
 21     "xmlownername": "Wikimedia",
 22                   ^
 23 SyntaxError: invalid syntax
~                                                                                                                                                                                                                  
~

Change 456329 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/puppet@production] planet: Fix syntax error in rss.py

https://gerrit.wikimedia.org/r/456329

Change 456329 merged by Dzahn:
[operations/puppet@production] planet: Fix syntax error in rss.py

https://gerrit.wikimedia.org/r/456329

Mentioned in SAL (#wikimedia-operations) [2018-08-30T03:42:05Z] <mutante> running manual update of en.planet feeds (T203055)

Dzahn added a comment.Aug 30 2018, 3:43 AM

yep, i broke it with https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/447743/ sorry about that

maybe we can add monitoring for the feed last update getting old

Dzahn added a comment.Aug 30 2018, 4:29 AM

should be fixed in an hour.. for all language versions.. crons run at random minutes for each language version and cache should also expire soonish

Paladox closed this task as Resolved.Aug 30 2018, 9:18 AM

Seems resolved now.

Confirmed, I now have 70+ posts in my feed reader :)

Filed T203208: Add monitoring for planet updating as follow-up for adding monitoring.